<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AutoParamDataSource.html">AutoParamDataSource</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::AutoParamDataSource Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aac2d60d46041f69d6727c192ad7b9c48">AutoParamDataSource</a>()</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a8a3cda7e34fba0fbfac74daa63a87856">getAmbientLightColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a95cf3f1714979953ef9b011d4e8fbfdb">getCameraPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a420fb25938682e371456472b4c5c8435">getCameraPositionObjectSpace</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a79f761f36e0d33419958f14722d92b29">getCosTime_0_1</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a677971cda162e0684fc4e3d13573352d">getCosTime_0_2Pi</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7bce3e8bb448d89d1fd073b70b0ce593">getCosTime_0_X</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7732e0ce676250afb10a5fc2e7c9ebf1">getCurrentPass</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9111897464d207b1dcbfc47d369a8a49">getCurrentRenderable</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1598c5f82cd4a4957ed0fcf897750a4f">getCurrentRenderTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a392b6ff73a91208d2143375a59d5236e">getDerivedAmbientLightColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7634c67abe61b3f76edac1dcef48c9c5">getDerivedSceneColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a348741be31af4145db9f0f761a77958f">getFarClipDistance</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a79c151a4e38def0601006f5dbc7f7bdd">getFogColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a89b3b2a3c7825d23f1077e5d86dcca06">getFogParams</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a723b96ed8dc2a8bfd0643f4e1062850b">getFOV</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a817787c396e2d7437a04315730c53db1">getFPS</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab0cde9b58d68dfe8e02696f2b8f4a971">getFrameTime</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a54e4bf9252fde1310710cad7e3b05e8b">getInverseProjectionMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a948eeff8a7f9199c429d3f04b036031f">getInverseTextureSize</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a69f03e75c0aa37c8cce65017a5e54376">getInverseTransposeProjectionMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a245dc27bdae190debd396f7cb998ca4e">getInverseTransposeViewMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#af081e5796e5c813df31a0acac0551f98">getInverseTransposeViewProjMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ac04e9920098150792cd951ae8923948e">getInverseTransposeWorldMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aed2b35315f942067628cc6487014f93d">getInverseTransposeWorldViewMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a07e508d7e94ab9e0d209c145f338a49e">getInverseTransposeWorldViewProjMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6f84fc8d0573563fe668e544139924c7">getInverseViewMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad432f765909b781f089014ff0500f376">getInverseViewportHeight</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ac3f98866511097c123cdd514f1355b56">getInverseViewportWidth</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ace02a8f43c04c8d6b45bd752c9b16894">getInverseViewProjMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a12e04c5e3bb1a1ad1f4955a57830be13">getInverseWorldMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab8ab46d944d54d557960bd1a094ea0ed">getInverseWorldViewMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7d3142d9bd8bedaf173ab0c201eff952">getInverseWorldViewProjMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aba850a2ab47a3c254a6e57bbcd0efc85">getLight</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ade2e6ca25f6e508b2c8da3199e82ae92">getLightAs4DVector</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a91a2a73983d1109b11036d6689b5dcf5">getLightAttenuation</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a46c0b3dc1ef71ea6282ee1a69ce2f6d0">getLightCastsShadows</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a59f93fa250eabf3b6101333703474846">getLightCount</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a3d07857c2f3058e9dd85cfcd4119d314">getLightDiffuseColour</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#abf582f3ab1587decdecc177f6abe3d4a">getLightDiffuseColourWithPower</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aed5f3a5d58beedab0aa7b3fb1d221b96">getLightDirection</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9b20b3feec772c8f61f9a8ae0051c2ec">getLightNumber</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a113255d653c91bd3b35f1207ed9c96e3">getLightPosition</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ae523d4e87b3d730756812f7f41a9733c">getLightPowerScale</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7e6256880b434a7ddcc12199e9ba505e">getLightSpecularColour</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a905beb8204bbb80a21fd6cec9da12aa8">getLightSpecularColourWithPower</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7300e45c669307cfa1cfd8e5d4e66c7e">getLodCameraPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#adb8329d2c0d2e94c1b6a85324a608122">getLodCameraPositionObjectSpace</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a3936b36e27fe5c0c04fba3924e21cbc4">getNearClipDistance</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad10bae688d3fde66aa3160e11e28786d">getPackedTextureSize</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a86b6f666b5761bc1ce1c6b8c186a95b4">getPassNumber</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1346e68c0da57e9a100a5e7e70ae395b">getProjectionMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a602dfe7d1ce90ebcf4188f557d188db6">getSceneDepthRange</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a4d3b4be7c89450298a747ff0a165b0c4">getShadowColour</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a712e818f70d926e8b2c84e80e72133f0">getShadowExtrusionDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ac3b65e60af72c4d12ac4944d90e28b07">getShadowSceneDepthRange</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ade435560d3e9369b2ed5b8fc6c121155">getSinTime_0_1</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a4064c1ebf2f06878c5533e7e676069e8">getSinTime_0_2Pi</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a51aaa7a5ec2a7c56b8ea77fb7af17c7b">getSinTime_0_X</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a29be8e6164757ad27e70949e99b6f765">getSpotlightParams</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6695383bf7a994cdfce5835c2454889f">getSpotlightViewProjMatrix</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a4adc7cc655f506b0fb26761afaf1ff2d">getSpotlightWorldViewProjMatrix</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aceadc1114a1cf0f843cc013644875993">getSurfaceAmbientColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5392e1480ce20a94c437f76293db3562">getSurfaceDiffuseColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a88a16034850e8561439d562095002ff9">getSurfaceEmissiveColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad84551c6c4c39ddf563fdcc28fa7ce29">getSurfaceShininess</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aff09ce9023e7f268ae9561b99130ca5c">getSurfaceSpecularColour</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a79d3d328453bc06ea7ced61ebfbe5bf4">getTanTime_0_1</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#abae34d4b83f13e478221e62ca7235e1e">getTanTime_0_2Pi</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab062602f16cc0dea0d4e753b2cb5e3dd">getTanTime_0_X</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5dbf40f047e0eeebf1a46d43f60a6fea">getTextureSize</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aed11e89c60198dd89c5b4da50fdf3b58">getTextureTransformMatrix</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a2d4dae71711ba675375654d3a4d445a4">getTextureViewProjMatrix</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5d9a1a3c2ef9d4a29581a53aa7e175d7">getTextureWorldViewProjMatrix</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1a2389a186d6578e58518112459eebc0">getTime</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a8949a62a505507aae5db9caf8a2b2044">getTime_0_1</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a2bb410c50b8882246e0ce16626414435">getTime_0_1_packed</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a38d2c3d151fbcbf088743b0fe602e574">getTime_0_2Pi</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aa14adb7716e55be7b9a8eccf91c47a5e">getTime_0_2Pi_packed</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a39056b6eaf577f554adebf6cdc9e4f29">getTime_0_X</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aacacb45f11b790e0e04bcd3fa88a3ebc">getTime_0_X_packed</a>(Real x) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9125e4ae6b4fc15d118d07f0d3404486">getTransposeProjectionMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aa262ea743cdc03bb40ab60e8434678b1">getTransposeViewMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a81cd00ae67f20a0f094c551d372ff778">getTransposeViewProjMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a68f21385790d889940589de667a998f1">getTransposeWorldMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a39842ed7176deb9ed2243e4739aa9ad6">getTransposeWorldViewMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a3517459d7a23190a86cc9228dd98ce1a">getTransposeWorldViewProjMatrix</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a2d83a1dcdad2f9b58cd3a5db012ac26c">getViewDirection</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a32cb7c0bd93bd4288562c89856fa7325">getViewMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a744c1f0bc240196d96e7324be6cebde4">getViewportHeight</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a142f6cc7e1ac327540d15d9d3fe69a35">getViewportWidth</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#abcf88d73b3a005f4545355d71309a030">getViewProjectionMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a67ac77a70cd2620f98713a4770230440">getViewSideVector</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#adea12a8776b6a8a546da2187732af261">getViewUpVector</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a68258a2f8b79168288c7103894895210">getWorldMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a890b3f30a0f5bcc10c5a6141189838a3">getWorldMatrixArray</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a410168d1a463be31fd36994bf3f7e9a0">getWorldMatrixCount</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a0ea2ed4984b0b5e46db3727abfd037dd">getWorldViewMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a3115c4345ecb57b4bb110bbbd766a490">getWorldViewProjMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a655fe8c084930cf12900877228b5d5fa">hasLightList</a>() const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad20155da9d82cfa3f5f50fecfcf2086b">incPassNumber</a>(void)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a15b5089a287b6d463ab953e938c160a3">mAmbientLight</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad5f08abf697512c6d579645dee7a5d13">mBlankLight</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a2c1a2ac2b037bf2f93149e293fed1859">mCameraPosition</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a703c9886486471bf4c288177ce3aa878">mCameraPositionDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aae7426fa26e634a6d99184772db63d12">mCameraPositionObjectSpace</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a38773cdcb2be2994dac9245c0dbf5c78">mCameraPositionObjectSpaceDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a68e512220dc1614f9bd57e19a18ce890">mCameraRelativePosition</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ada02f627606c38581aa81b5a15205864">mCameraRelativeRendering</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab58602353b71bcbb0b3de514d91f3d1a">mCurrentCamera</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a3478608a12c051fb08d1ae544959a4b3">mCurrentLightList</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aacfbc1ee3cafe13db7ecd0ee61bc47a4">mCurrentPass</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9f6eb7539f37a63ca8e789956c57cafb">mCurrentRenderable</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a2547bbc00657002d69a0460fe21671ae">mCurrentRenderTarget</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6ab62aa184afb708aae8beba9023a6be">mCurrentSceneManager</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab925f1d932c6d23d0ceffadcb67d2c49">mCurrentTextureProjector</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a876629472fc8dc17bb3c76e55bdc4922">mCurrentViewport</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a87de09e3a7843cf30376982ddbfe07aa">mDirLightExtrusionDistance</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9572200e6bd9c2f2e44cce8347d2c232">mFogColour</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7052703d0cde3b6daee0eba29511b947">mFogParams</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aba79772027b242e135e11393f3b03acc">mInverseTransposeWorldMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aa1a8c972bbad993d5a306c1ce915fdee">mInverseTransposeWorldMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a76fc4caa70d95d5c6d46b08d07dbee2e">mInverseTransposeWorldViewMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aca956e6988e4ca69059306f2076ee06b">mInverseTransposeWorldViewMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6727f2aad13b4e01b3e05e8a521eb691">mInverseViewMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aaae43d2aab87dd2945357b48f30d19fe">mInverseViewMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#abc694abd21cb00bcea6210633cf94dec">mInverseWorldMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1020ba5d99e74e7ceb028bff03a1e6ac">mInverseWorldMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6f5d74350e85d8c5ff684f19f783c884">mInverseWorldViewMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#acf76839f9daf28d085ed52a780507deb">mInverseWorldViewMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#acaa5514cc32bfdd475d357f645e5d60f">mLodCameraPosition</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a45afab01a404dcc3ef8774818a7614ab">mLodCameraPositionDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aec73a6f7b9cd086e7292cda1af3f7f58">mLodCameraPositionObjectSpace</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ae5e138cdadd8d9abfe55f7e6fd99b94b">mLodCameraPositionObjectSpaceDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ad05574fed3bd4a05aba521506ca2f899">mMainCamBoundsInfo</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aa914d02ddbbcb9a2894c8a25418db256">mPassNumber</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ac09951d6ff0e050aaf2a3efb58438506">mProjectionMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9996aa76d703024e14b1dae58a276554">mProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5847f45e9fc4213239b9a14079b4d819">mSceneDepthRange</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a60a3e8d8caba35ff0838ae26300d3613">mSceneDepthRangeDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a794485e58a85cec2c43f36db2dafe668">mShadowCamDepthRanges</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a82cf318657838af3bc42f9233b1ba5ab">mShadowCamDepthRangesDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5a12b27954fcbc705397172ca53759f9">mSpotlightViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a226c07193ff69a9f9c1abf6733359592">mSpotlightViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a20f95cd07437afd316732b8baf238613">mSpotlightWorldViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a07be2554c4161e9fa4213c0602830605">mSpotlightWorldViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a8cfea82347259129731b01c3d99ebbdc">mTextureViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a63ad780368d95a9b942398d1ae7420cf">mTextureViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a0a5992148a6145d4e2953c798a818ad2">mTextureWorldViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1aeaa418d8a816f3beb19be857b11924">mTextureWorldViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a7493997a85bc7cd3c4d29f8cf4b00fc4">mViewMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a48bd457f1413a296038aa75b60b0c7ef">mViewMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aa53eb62e5506a7fcd607f54e4fd6b6f0">mViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#acfabd64286ae06893e26458f6c3d1e5e">mViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#adaae7bee975ff4fdca0a98fc65ba635c">mWorldMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a00fd70ad8d8ec1295fba7d5719cc43cb">mWorldMatrixArray</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5475057984621be6b677fdc3089d7c8e">mWorldMatrixCount</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a1e648d995ef5fa2357b2a69f6bee6c57">mWorldMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a6f88ea273002a87993a092cb181a032b">mWorldViewMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ade77d795af197569be64b9a8480a0a5c">mWorldViewMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#afd565bde1e47d2b7b9bfc38b39382736">mWorldViewProjMatrix</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a26d965496b85c4c24d7bf578e9a9622e">mWorldViewProjMatrixDirty</a></td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a8a21717678cea05af9a2d1122b993a4e">setAmbientLightColour</a>(const ColourValue &amp;ambient)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a04f67d169f85c39ccc37ab85ab0c0d98">setCurrentCamera</a>(const Camera *cam, bool useCameraRelative)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5c8ffb90943fd1d0098082df84c94b58">setCurrentLightList</a>(const LightList *ll)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ab021d9f77bc64514dd145192a7d48ee8">setCurrentPass</a>(const Pass *pass)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a35eae95bd27138854c38587ab7120a90">setCurrentRenderable</a>(const Renderable *rend)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a27607e7f1c956b087178a20ac3857785">setCurrentRenderTarget</a>(const RenderTarget *target)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#aeef89995fe08724d8e2669dc109c386d">setCurrentSceneManager</a>(const SceneManager *sm)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a84f60bdafaa6e35a73732e7cb0dffb7f">setCurrentViewport</a>(const Viewport *viewport)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ae84de5342baf56c5b114ce2a9edf7fc6">setFog</a>(FogMode mode, const ColourValue &amp;colour, Real expDensity, Real linearStart, Real linearEnd)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#abe4abf4a5cfecbdd219a487eb456c188">setMainCamBoundsInfo</a>(VisibleObjectsBoundsInfo *info)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a5c000ad4364233d4faa7e5d8882d346c">setPassNumber</a>(const int passNumber)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a91b821a32cc4fa6045e151ef86930889">setShadowDirLightExtrusionDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#ae2599152c04edc4e53b41a044bd2b0bc">setTextureProjector</a>(const Frustum *frust, size_t index)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a59bd81a3472797352970afe6e0c8b393">setWorldMatrices</a>(const Matrix4 *m, size_t count)</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a9fd50ddc09ef5e38421e21fd5c6480fd">updateLightCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AutoParamDataSource.html#a14d309e3ee209adff7345105ff85d98b">~AutoParamDataSource</a>()</td><td><a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
